Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging
Class Log4jLoggerPlugin

    java.lang.Object
      org.jboss.logging.Log4jLoggerPlugin

All Implemented Interfaces:
  LoggerPlugin

public class Log4jLoggerPlugin
extends Object
implements LoggerPlugin

Delegate for org.jboss.logging.Logger logging to log4j. Body of implementation mainly copied from old Logger implementation.

Version:
  $Revision: 1.4 $

  Revisions:

  3. mai 2002 Sacha Labourey:

  - First implementation

  4. february 2003 Dag Liodden:

  - Fixed Log4J locationinfo by sending the fully qualified classname of `Logger` to Log4J
Author:
  Sacha Labourey.
See Also:
  `Logger`, `LoggerPlugin`

Constructor Summary
`Log4jLoggerPlugin()`

Method Summary
`void` | `debug(Object message)` Issue a log msg with a level of DEBUG.
`void` | `debug(Object message, Throwable t)` Issue a log msg and throwable with a level of DEBUG.
`void` | `error(Object message)` Issue a log msg with a level of ERROR.
`void` | `error(Object message, Throwable t)` Issue a log msg and throwable with a level of ERROR.
`void` | `fatal(Object message)` Issue a log msg with a level of FATAL.
`void` | `fatal(Object message, Throwable t)` Issue a log msg and throwable with a level of FATAL.
`org.apache.log4j.Category` | `getCategory()`
`org.apache.log4j.Logger` | `getLogger()` Exposes the delegate Log4j Logger.
`void` | `info(Object message)` Issue a log msg with a level of INFO.
`void` | `info(Object message, Throwable t)` Issue a log msg and throwable with a level of INFO.
`void` | `init(String name)`
`boolean` | `isDebugEnabled()` Check to see if the TRACE level is enabled for this logger.
`boolean` | `isInfoEnabled()` Check to see if the INFO level is enabled for this logger.
`boolean` | `isTraceEnabled()`
`void` | `log(org.apache.log4j.Level l, Object message)` Issue a log msg with the given level.
`void` | `log(org.apache.log4j.Level l, Object message, Throwable t)` Issue a log msg with the given level.
`void` | `log(org.apache.log4j.Priority p, Object message)` Deprecated. Use Level versions.
`void` | `log(org.apache.log4j.Priority p, Object message, Throwable t)` Deprecated. Use Level versions.
`void` | `trace(Object message)` Issue a log msg with a level of TRACE.
`void` | `trace(Object message, Throwable t)` Issue a log msg and throwable with a level of TRACE.
`void` | `warn(Object message)` Issue a log msg with a level of WARN.
`void` | `warn(Object message, Throwable t)` Issue a log msg and throwable with a level of WARN.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jLoggerPlugin

    public Log4jLoggerPlugin()

Method Detail

### init

    public void init(String name)

  Specified by:
    `init` in interface `LoggerPlugin`

### getCategory

    public org.apache.log4j.Category getCategory()

### getLogger

    public org.apache.log4j.Logger getLogger()

  Exposes the delegate Log4j Logger.

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `LoggerPlugin`

### trace

    public void trace(Object message)

  Issue a log msg with a level of TRACE. Invokes log.log(XLevel.TRACE, message);

  Specified by:
    `trace` in interface `LoggerPlugin`

### trace

    public void trace(Object message,
                      Throwable t)

  Issue a log msg and throwable with a level of TRACE. Invokes log.log(XLevel.TRACE, message, t);

  Specified by:
    `trace` in interface `LoggerPlugin`

### isDebugEnabled

    public boolean isDebugEnabled()

  Check to see if the TRACE level is enabled for this logger.

  Specified by:
    `isDebugEnabled` in interface `LoggerPlugin`
  Returns:
    true if a `trace(Object)` method invocation would pass the msg to the configured appenders, false otherwise.

### debug

    public void debug(Object message)

  Issue a log msg with a level of DEBUG. Invokes log.log(Level.DEBUG, message);

  Specified by:
    `debug` in interface `LoggerPlugin`

### debug

    public void debug(Object message,
                      Throwable t)

  Issue a log msg and throwable with a level of DEBUG. Invokes log.log(Level.DEBUG, message, t);

  Specified by:
    `debug` in interface `LoggerPlugin`

### isInfoEnabled

    public boolean isInfoEnabled()

  Check to see if the INFO level is enabled for this logger.

  Specified by:
    `isInfoEnabled` in interface `LoggerPlugin`
  Returns:
    true if a `info(Object)` method invocation would pass the msg to the configured appenders, false otherwise.

### info

    public void info(Object message)

  Issue a log msg with a level of INFO. Invokes log.log(Level.INFO, message);

  Specified by:
    `info` in interface `LoggerPlugin`

### info

    public void info(Object message,
                     Throwable t)

  Issue a log msg and throwable with a level of INFO. Invokes log.log(Level.INFO, message, t);

  Specified by:
    `info` in interface `LoggerPlugin`

### warn

    public void warn(Object message)

  Issue a log msg with a level of WARN. Invokes log.log(Level.WARN, message);

  Specified by:
    `warn` in interface `LoggerPlugin`

### warn

    public void warn(Object message,
                     Throwable t)

  Issue a log msg and throwable with a level of WARN. Invokes log.log(Level.WARN, message, t);

  Specified by:
    `warn` in interface `LoggerPlugin`

### error

    public void error(Object message)

  Issue a log msg with a level of ERROR. Invokes log.log(Level.ERROR, message);

  Specified by:
    `error` in interface `LoggerPlugin`

### error

    public void error(Object message,
                      Throwable t)

  Issue a log msg and throwable with a level of ERROR. Invokes log.log(Level.ERROR, message, t);

  Specified by:
    `error` in interface `LoggerPlugin`

### fatal

    public void fatal(Object message)

  Issue a log msg with a level of FATAL. Invokes log.log(Level.FATAL, message);

  Specified by:
    `fatal` in interface `LoggerPlugin`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Issue a log msg and throwable with a level of FATAL. Invokes log.log(Level.FATAL, message, t);

  Specified by:
    `fatal` in interface `LoggerPlugin`

### log

    public void log(org.apache.log4j.Priority p,
                    Object message)

  Deprecated. Use Level versions.

  Issue a log msg with the given level. Invokes log.log(p, message);

### log

    public void log(org.apache.log4j.Priority p,
                    Object message,
                    Throwable t)

  Deprecated. Use Level versions.

  Issue a log msg with the given priority. Invokes log.log(p, message, t);

### log

    public void log(org.apache.log4j.Level l,
                    Object message)

  Issue a log msg with the given level. Invokes log.log(l, message);

### log

    public void log(org.apache.log4j.Level l,
                    Object message,
                    Throwable t)

  Issue a log msg with the given level. Invokes log.log(l, message, t);

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.